×

Discussion Board

Results 1 to 6 of 6
  1. #1
    Registered User
    Join Date
    Mar 2003
    Location
    Sweden, Stockholm
    Posts
    90

    Carbide.j 1.5 and Netbeans 5.5 beta 2 --error message

    After I have installed Nokia Carbide.j 1.5 I got an error when I start Netbeans, I get this error:


    java.lang.IllegalStateException: java.lang.ClassNotFoundException: org.netbeans.modules.websvc.core.customization.ui.WSDataObject

    at org.openide.loaders.DataLoader.getRepresentationClass(DataLoader.java:125)

    at org.openide.loaders.DataLoaderPool$1ProducerOf.process(DataLoaderPool.java:330)

    at org.openide.util.Enumerations$FilEn.hasMoreElements(Enumerations.java:529)

    at com.nokia.phone.tools.designer.integration.netbeans.NetBeansIntegrationModuleInstall.addJDOActions(Unknown Source)

    at com.nokia.phone.tools.designer.integration.netbeans.NetBeansIntegrationModuleInstall.restored(Unknown Source)

    at org.netbeans.core.startup.NbInstaller.loadCode(NbInstaller.java:366)

    at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:282)

    at org.netbeans.ModuleManager.enable(ModuleManager.java:904)

    at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:383)

    at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:317)

    at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:250)

    at org.netbeans.core.startup.Main.getModuleSystem(Main.java:212)

    at org.netbeans.core.startup.Main.start(Main.java:383)

    at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:96)

    [catch] at java.lang.Thread.run(Thread.java:595)



    It look like something is wrong in Carbide.j 1.5?


    Regards,

    Ove
    Last edited by ovjo12; 2006-08-07 at 14:02.

  2. #2
    Super Contributor
    Join Date
    Dec 2005
    Location
    Europe/Poland/Warsaw
    Posts
    1,697

    Re: Carbide.j 1.5 and Netbeans 5.5 beta 2

    hi Ove,

    have you installed carbide as integrated plugin for netbeans?
    also Carbide was not tested againts 5.5 beta 2 release according to docs,
    bwt:
    I'm using carbide but as standalone installation only with Nokia Prototype SDKs added to netbeans configuraiton by platform configuration,

    regards,
    peter

  3. #3
    Registered User
    Join Date
    Mar 2003
    Location
    Sweden, Stockholm
    Posts
    90

    Re: Carbide.j 1.5 and Netbeans 5.5 beta 2

    Hi,
    Yes I have installed carbide as integrated plugin for netbeans.
    -ove

  4. #4
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Carbide.j 1.5 and Netbeans 5.5 beta 2

    From Carbide.j 1.5 release notes

    Carbide.j 1.5 runs as a standalone program and it
    can also be integrated with IDE environments.
    Currently supported IDEs include:
    - Eclipse 3.0 and 3.1,
    - JBuilder, Mobile Edition
    (tested with versions 2005 and X),
    - NetBeans 4.0, 4.1 and 5.0,
    - IBM WebSphere Studio Device Developer,
    versions 5.6 and 5.7 (partial)

    Hartti

  5. #5
    Super Contributor
    Join Date
    Dec 2005
    Location
    Europe/Poland/Warsaw
    Posts
    1,697

    Re: Carbide.j 1.5 and Netbeans 5.5 beta 2

    hi Hartti,

    that's correct, but I always had similiar issue if Carbide.j was installed as integrated plugin, there is some config file which once delete remove that errors,

    just for dev-team guys my last error log (I've found old log created when 1.5 was released):
    Code:
    >Log Session: Thursday, July 27, 2006 2:25:51 AM CEST
    >System Info: 
      Product Version         = NetBeans 5.5 Beta 2 (Build 200607190830)
      Operating System        = Windows XP version 5.1 running on x86
      Java; VM; Vendor; Home  = 1.5.0_06; Java HotSpot(TM) Client VM 1.5.0_06-b05; Sun Microsystems Inc.; C:\jdk1.5.0_06\jre
      System Locale; Encoding = en_US (nb); Cp1252
      Home Dir.; Current Dir. = C:\Documents and Settings\#######; C:\netbeans
      Installation; User Dir. = C:\netbeans\nb5.5;C:\netbeans\ide7;C:\netbeans\enterprise3;C:\netbeans\harness;C:\netbeans\mobility7.3;C:\netbeans\profiler1;C:\netbeans\nokia;C:\netbeans\platform6; C:\Documents and Settings\Pepitka\.netbeans\5.5beta2
      Boot & Ext. Classpath   = C:\jdk1.5.0_06\jre\lib\rt.jar;C:\jdk1.5.0_06\jre\lib\i18n.jar;C:\jdk1.5.0_06\jre\lib\sunrsasign.jar;C:\jdk1.5.0_06\jre\lib\jsse.jar;C:\jdk1.5.0_06\jre\lib\jce.jar;C:\jdk1.5.0_06\jre\lib\charsets.jar;C:\jdk1.5.0_06\jre\classes;C:\jdk1.5.0_06\jre\lib\ext\dnsns.jar;C:\jdk1.5.0_06\jre\lib\ext\localedata.jar;C:\jdk1.5.0_06\jre\lib\ext\sunjce_provider.jar;C:\jdk1.5.0_06\jre\lib\ext\sunpkcs11.jar
      Application Classpath   = C:\netbeans\platform6\lib\boot.jar;C:\netbeans\platform6\lib\org-openide-modules.jar;C:\netbeans\platform6\lib\org-openide-util.jar;C:\jdk1.5.0_06\lib\dt.jar;C:\jdk1.5.0_06\lib\tools.jar
      Startup Classpath       = C:\netbeans\platform6\core\core.jar;C:\netbeans\platform6\core\org-openide-filesystems.jar;C:\netbeans\nb5.5\core\org-netbeans-upgrader.jar;C:\netbeans\nb5.5\core\locale\core_nb.jar;C:\netbeans\ide7\core\org-netbeans-modules-utilities-cli.jar
    -------------------------------------------------------------------------------
    [WARNING] Warning: module com.nokia.phone.tools.designer.integration.netbeans does not declare OpenIDE-Module-Public-Packages in its manifest, so all packages are considered public by default: http://www.netbeans.org/download/dev...ublic-packages
    [WARNING] Warning: the module com.nokia.phone.tools.designer.integration.netbeans uses OpenIDE-Module-IDE-Dependencies which is deprecated. See http://openide.netbeans.org/proposal...odularize.html
    [WARNING] Warning - had to upgrade dependencies for module com.nokia.phone.tools.designer.integration.netbeans: added = [module org.openide.loaders > 5.3, module org.openide.awt > 6.0, module org.openide.modules > 6.0, module org.openide.compat > 6.0, module org.openide.filesystems > 6.0, module org.openide.src > 1.3, module org.openide.options > 6.0, module org.openide.windows > 6.0, module org.openide.dialogs > 6.0, module org.openide.actions > 6.0, module org.openide.nodes > 6.0, module org.openide.text > 6.0, module org.openide.util > 6.0, module org.openide.util.enumerations > 6.0, module org.openide.explorer > 6.0] removed = [module org.openide.loaders, module org.openide/1 > 4.26, module org.openide.awt, module org.openide.modules, module org.openide.filesystems, module org.openide.windows, module org.openide.dialogs, module org.openide.actions, module org.openide.nodes, module org.openide.text, module org.openide.util]; details: [Java Comparators separation (#40945): http://www.netbeans.org/download/dev...avacomparators, openide.jar split into smaller parts. See http://openide.netbeans.org/proposal...odularize.html and use 'ant fix-dependencies' if your project is projectized.]
    [WARNING] Warning: the module com.nokia.phone.tools.midp.ide.netbeans uses OpenIDE-Module-IDE-Dependencies which is deprecated. See http://openide.netbeans.org/proposal...odularize.html
    [WARNING] Warning - had to upgrade dependencies for module com.nokia.phone.tools.midp.ide.netbeans: added = [module org.openide.loaders > 5.3, module org.openide.awt > 6.0, module org.openide.modules > 6.0, module org.openide.compat > 6.0, module org.openide.filesystems > 6.0, module org.openide.src > 1.3, module org.openide.options > 6.0, module org.openide.windows > 6.0, module org.openide.dialogs > 6.0, module org.openide.actions > 6.0, module org.openide.nodes > 6.0, module org.openide.text > 6.0, module org.openide.util > 6.0, module org.openide.util.enumerations > 6.0, module org.openide.explorer > 6.0] removed = [module org.openide/1 > 4.26]; details: [Java Comparators separation (#40945): http://www.netbeans.org/download/dev...avacomparators, openide.jar split into smaller parts. See http://openide.netbeans.org/proposal...odularize.html and use 'ant fix-dependencies' if your project is projectized.]
    [WARNING] WARNING: Class-Path value ../../../Nokia/Tools/Carbide_j_1_5/bin/NDS_MIDPToolSet.jar from C:\netbeans\nokia\modules\NDS_Adapter_NetBeans.jar is illegal according to the Java Extension Mechanism: must be relative and not move up directories
    [org.netbeans.core.modules] Disabling openide load optimizations due to use of org.openide.compat
    [org.netbeans.core.modules] Warning: the module com.nokia.phone.tools.midp.ide.netbeans uses org.openide.compat which is deprecated: The classes in this API are all deprecated and can be replaced by more modern APIs.
    [org.netbeans.core.modules] Warning: the module com.nokia.phone.tools.midp.ide.netbeans uses org.openide.util.enumerations which is deprecated: Use org.openide.util.Enumerations instead of this module.
    [org.netbeans.core.modules] Warning: the module com.nokia.phone.tools.designer.integration.netbeans uses org.openide.compat which is deprecated: The classes in this API are all deprecated and can be replaced by more modern APIs.
    [org.netbeans.core.modules] Warning: the module com.nokia.phone.tools.designer.integration.netbeans uses org.openide.util.enumerations which is deprecated: Use org.openide.util.Enumerations instead of this module.
    Updating module: Carbide.j
    DRM: init
    [org.netbeans.core.modules] *********** Exception occurred ************ at 2:26 AM on Jul 27, 2006
    java.lang.IllegalStateException: java.lang.ClassNotFoundException: org.netbeans.modules.websvc.core.customization.ui.WSDataObject
    	at org.openide.loaders.DataLoader.getRepresentationClass(DataLoader.java:125)
    	at org.openide.loaders.DataLoaderPool$1ProducerOf.process(DataLoaderPool.java:330)
    	at org.openide.util.Enumerations$FilEn.hasMoreElements(Enumerations.java:529)
    	at com.nokia.phone.tools.designer.integration.netbeans.NetBeansIntegrationModuleInstall.addJDOActions(Unknown Source)
    	at com.nokia.phone.tools.designer.integration.netbeans.NetBeansIntegrationModuleInstall.restored(Unknown Source)
    	at org.netbeans.core.startup.NbInstaller.loadCode(NbInstaller.java:366)
    [catch] at org.netbeans.core.startup.NbInstaller.load(NbInstaller.java:282)
    	at org.netbeans.ModuleManager.enable(ModuleManager.java:904)
    	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:383)
    	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:317)
    	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:250)
    	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:212)
    	at org.netbeans.core.startup.Main.start(Main.java:383)
    	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:96)
    	at java.lang.Thread.run(Thread.java:595)
    except of that EVERYTHING works just a treat, so I've simply started to use Carbide.j as standalone from v.5 of NetBeans (and currently with beta builds) to use SDKs that ships with Carbide.j, etc,

    if you can forward that to some guy from ide-integration team we will be thankful

    regards,
    Peter

  6. #6
    Registered User
    Join Date
    Dec 2006
    Posts
    7

    Re: Carbide.j 1.5 and Netbeans 5.5 beta 2

    Uninstall Module Carbide_j_1_5

    Netbeans -> Tools -> Module Manager -> Tools -> Carbide_j_1_5

Similar Threads

  1. Integrating Carbide.j 1.0 on NetBeans 5.0
    By biju gopinathan in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2006-03-10, 09:15
  2. integration Carbide.j 1.0 and Netbeans 5.0
    By ovjo12 in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2006-02-16, 07:48
  3. NDS3 on NetBeans 5.0 BETA
    By CAM in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2005-10-07, 10:57
  4. NetBeans 4.1 Early Access Release Now Available
    By rdemmer in forum Mobile Java General
    Replies: 0
    Last Post: 2004-10-22, 14:52
  5. Replies: 0
    Last Post: 2004-08-25, 11:42

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×